Projekt

Allgemein

Profil

Support #933

Person

GDI-DE Allgemeine Validierung - gdide_3.1_1_nutzungseinschraenkungen

Von Ticketmelder GDI-DE vor mehr als 2 Jahren hinzugefügt. Vor mehr als 2 Jahren aktualisiert.

Status:
Erledigt
Priorität:
Mittel
Zugewiesen an:
-
Kategorie:
GDI-DE Metadaten v1.1

Beschreibung

Sehr geehrte Damen und Herren,

derzeit versuche ich, leider vergeblich, einige unsere Metadatensätze zu validieren.
Während die ISO-Schemavalidierung erfolgreich ist, bekomme ich für die GDI-DE Allgemeine
Validierung folgende Fehler-Meldung:

gdide_3.1_1_nutzungseinschraenkungen

Nutzungseinschränkungen werden im Element useLimitation ([ISO 19115], B.2.3 No. 68) als Freitext dokumentiert. Zur semantischen Klarstellung beginnt der Eintrag mit "Nutzungseinschränkungen: " oder "Nutzungsbedingungen: "
FEHLER: Das useLimitation-Objekt muss vom Typ gco:CharacterString sein.

Hier ist der angemeckerte XML-Bereich:
...
<gmd:resourceConstraints>
<gmd:MD_Constraints>
<gmd:useLimitation xsi:type="gmd:PT_FreeText_PropertyType">
<gco:CharacterString xmlns:gco="http://www.isotc211.org/2005/gco">Nutzungsbedingungen: The instructions
in ftp://ftp-cdc.dwd.de/pub/CDC/Terms_of_use.txt
should be followed. The website of
Deutscher Wetterdienst provides
comprehensive copyright information.
</gco:CharacterString>
<gmd:PT_FreeText>
<gmd:textGroup>
<gmd:LocalisedCharacterString locale="#locale-deu">Nutzungsbedingungen:
Die Instruktionen gibt es
bestimmt auch auf deutsch!
</gmd:LocalisedCharacterString>
</gmd:textGroup>
</gmd:PT_FreeText>
</gmd:useLimitation>
</gmd:MD_Constraints>
</gmd:resourceConstraints>
...

Vielleicht können Sie mir mit einem gültigen Beispiel weiterhelfen?
(Ich habe auch schon versucht Metadaten anderer Hersteller aus dem Geoportal-De
zu validieren, die aber mit dem gleichen Fehler fehl schlugen.)

Mit freundlichen Grüßen

Frank Kratzenstein

Historie

#1 Von Anonym vor mehr als 2 Jahren aktualisiert

  • Kategorie wurde auf GDI-DE Metadaten v1.1 gesetzt
  • Status wurde von Neu zu Rückfrage geändert
  • Zielversion wurde auf GDI-DE Testsuite Release 2.1.31 gesetzt
  • Privat wurde von Ja zu Nein geändert
  • Zugewiesen an wurde auf Anonym gesetzt

Hallo Herr Kratzenstein,

gültige Beispieldateien finden Sie hier:
https://ims.geoportal.de/git/tree/AK-Metadaten.git/version1.1.1/konventionen!beispiel_xml

Die Anforderungen basieren auf dem Konventionen-Dokument zu Metadaten der GDI-DE. Die aktuelle Version 1.1.1 finden Sie hier:
http://www.geoportal.de/SharedDocs/Downloads/DE/GDI-DE/Dokumente/Architektur_GDI_DE_Konventionen_Metadaten_v1_1_1.html

Dort sind auch Beispiele zu den jeweiligen Anforderungen aufgeführt.

Ich hoffe wir konnten Ihnen helfen.

Viele Grüße
Sven Böhme

#2 Person Von Anja Litka vor mehr als 2 Jahren aktualisiert

Sehr geehrter Herr Kratzenstein,

vielen Dank für ihre Anfrage.

Die ihrerseits beschriebene Fehlmeldung bzgl. des Test gdide_3.1_1_nutzungseinschraenkungen kommt zustande, weil das "useLimitation-Objekt" sich in einem gmd:MD_Constraints-Element befindet.
Die Testsuite erwartet an dieser Stelle aber ein gmd:MD_LegalConstraints-Element.

Ein gültiges Beispiel für die Beschreibung von Datensätze und Dienste findet Sie hier:

Bei weiteren Rückfragen stehen wir Ihnen gerne zur Verfügung.

Mit freundlichen Grüßen
im Auftrag

Anja Litka
---
Support GDI-DE Testsuite
Bundesamt für Kartographie und Geodäsie (BKG)

Richard-Strauss-Allee 11
D-60598 Frankfurt am Main
Ticketmelder: https://ticket.gdi-de.org/
Internet: https://testsuite.gdi-de.org/gdi/

#3 Von Anonym vor mehr als 2 Jahren aktualisiert

  • Status wurde von Rückfrage zu Erledigt geändert

Auch abrufbar als: Atom PDF